import request from '@/utils/httpRequest'

export default class WareHouseService {
  list (params) {
    return request({
      url: '/material/management/wareHouse/list',
      method: 'get',
      params: params
    })
  }
  wareHouseList (param) {
    return request({
      url: '/material/management/wareHouse/wareHouseList',
      method: 'get',
      params: param
    })
  }
  wareHouseSummaryList (param) {
    return request({
      url: '/material/management/wareHouse/wareHouseSummaryList',
      method: 'get',
      params: param
    })
  }
  save (param) {
    return request({
      url: '/material/management/wareHouse/save',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: '/material/management/wareHouse/findById',
      method: 'get',
      params: {id: id}
    })
  }
  remove (id) {
    return request({
      url: '/material/management/wareHouse/remove',
      method: 'get',
      params: {id: id}
    })
  }
}
